pro Get_POLCAT_Info, Event
;
;	open file chooser, select polcats, built list, harvest night, starting, stopping image numbers
;
;	DPC	20161012
;
WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	m_ptr = PTR_struct.PTR_main
	;
	p_list = dialog_pickfile(title='select POLCAT files',/MULTIPLE_FILES)
	(*m_ptr).n_pcats = N_ELEMENTS(p_list)
	(*m_ptr).pcat_files[0:((*m_ptr).n_pcats - 1)] = p_list[*]
	(*m_ptr).file_pointer = 0L
	;
	;	set mode to polcats being read (not CDS_RAW)
	;
	(*m_ptr).mode = 1L
	;
	;	read the directory structure of raw data
	;
	get_directory_structure, dates, paths
	;
	;	then, for each file selected, get key information about the raw data, then go there
	;	and fetch the data and process it
	;
	for ifile = 0, (*m_ptr).n_pcats-1 do begin
		;
		zprint_text, Event, 'Starting processing for file ' + FILE_BASENAME(p_list[ifile])
		;
		;	set hourglass
		;
		WIDGET_CONTROL, /HOURGLASS
		;
		filename = (*m_ptr).pcat_files[ifile]
		;
		;	test for its presence
		;
		test = FILE_INFO(filename)
		;
		if(test.exists eq 0) then begin
			;
			zprint_text, Event, 'File ' + FILE_BASENAME(filename) + ' not found, skipping'
			goto, loop_end
			;
		endif
		;
		;	read the polcat and get info
		;
		str = read_polcat(filename)
		;
		;	get first, last images and parse the names
		;
		first = str.pol_head.image_0
		parts = STRSPLIT(first,'.',/extract)
		night = parts[0]
		nch = STRLEN(parts[1])
		first_image = STRMID(parts[1],0,nch-5)
		fi = 0L
		reads, first_image, fi, format='(I)'
		last = str.pol_head.image_n
		parts2 = STRSPLIT(last,'.',/extract)
		nch2 = STRLEN(parts2[1])
		last_image = STRMID(parts2[1],0,nch2-5)
		li = 0L
		reads, last_image,li,format='(I)'
		;
		;	look up the night
		;
		this_CDS_dir = get_CDS_dir(night,dates,paths)
		;
		this_path = this_CDS_dir + 'CDS_RAW' + PATH_SEP()
		;
		;	create the list of CDS files and save the list
		;
		(*m_ptr).nf = 0L
		for jfile = fi, li do begin
			;
			;	construct filepath name and then check that it is present
			;
			if(jfile lt 1000) then begin
				this_pathname = this_path + STRING(night,jfile,format='(I8,".",I3.3,".fits")')
			endif else begin
				this_pathname = this_path + STRING(night,jfile,format='(I8,".",I4.4,".fits")')
			endelse
			;
			;	check that it exists
			;
			result = FILE_TEST(this_pathname)
			if(result eq 1) then begin
				;
				(*m_ptr).input_files[(*m_ptr).nf] = this_pathname
				(*m_ptr).nf++
			endif
		endfor
		;
		;	go get the files and populate the GUI, if the number of input files is non-zero
		;
		if((*m_ptr).nf gt 0) then begin
		  	get_files, event, 1							; 1 says get filenames from m_ptr
		  	;
		  	;
		  	;	and run the analyzer
		  	;
		  	WIDGET_CONTROL, /HOURGLASS
			;
		  	start_analysis, event
		  	;
		  	;	done - go on to next file, after checking single step flag
		  	;
		  	if( (*m_ptr).single_step eq 1L) then begin
		  		result = dialog_message('Press OK for Next Field',/INFORMATION)
  			endif
		  	;
  		endif else begin
  			stop
  		endelse
  		;
		loop_end:
	endfor
	;
	if( (*m_ptr).single_step eq 1L) then begin
		result = dialog_message('Finished! Press OK',/INFORMATION)
	endif
	;
	;	completed, return
	;
end