pro process_images, Event
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR_struct
	m_ptr = PTR_struct.PTR_main
	;
	nfiles = (*m_ptr).n_files_in
	files_in = (*m_ptr).files_in[0:nfiles-1]
	;
	file_list = FILE_BASENAME(STRUPCASE(files_in),'.FITS')
	n_files = nfiles
	scan_numbers = lonarr(n_files)
	;
	flat_flag = 0
	for i = 0, n_files-1 do begin
		;
		;	parse name to get sequence number
		;
		;		first, flat or CDS?
		;
		this_type = STRPOS(STRUPCASE(file_list[i]),'FLT')
		if(this_type ne -1) then begin
			;
			;	was flat, create artificial scan numbers
			;
			last = STRLEN(file_list[i])
			first = last - 4
			num_str = STRMID(file_list[i],first,(last-first))
			reads, num_str, format='(I)',scan
			scan_numbers[i] = ROUND(float(scan) / 75.0)
			;print, "Flat - i, num_str, scan_number = ",i, num_str, scan_numbers[i]
			;
			flat_flag = 1
		endif else begin
			first = STRPOS(file_list[i],'.') + 1
			last = STRLEN(file_list[i])
			num_str = STRMID(file_list[i],first,(last-first))
			reads, num_str, format='(I)',scan
			scan_numbers[i] = scan
		endelse
	endfor
	;
	ind_scan = SORT(scan_numbers)
	files_in = files_in[ind_scan]
	(*m_ptr).files_in[0:nfiles-1] = files_in[*]
	;
	;print, "sorted scan numbers = ",scan_numbers[ind_scan]
	;
	(*m_ptr).flat_flag = flat_flag
	;
	is_wid = (*m_ptr).draw_wid[4]
	is_not_wid = (*m_ptr).draw_wid[5]
	if(flat_flag) then begin
		zprint_text, Event,"This set of images is a flat-field group"
		ZHT_led_stack, is_wid, ["green"]
		ZHT_led_stack, is_not_wid, ["red"]
	endif else begin
		zprint_text, Event, "This set of images is NOT a flat-field group"
		ZHT_led_stack, is_wid, ["red"]
		ZHT_led_stack, is_not_wid, ["green"]
	endelse
	;
	;	update textbox
	;
	t_wid = (*m_ptr).text_wid[0]
	WIDGET_CONTROL, t_wid, SET_VALUE=STRING(nfiles,format='(I4)')
	;
	;	set directory to current one
	;
	this_dir = FILE_DIRNAME(files_in[0])
	(*m_ptr).last_dir = this_dir
;
;stop
;
end
