pro read_DR3_summary
;
;	reads the 20161003_DR3_more.dat text file into
;	variables of GP#, night, first, last images
;
;	all this for auto processing with ZHT
;
file_in = dialog_pickfile(title='Select DR3 summary text file')
;
gp_num = intarr(3237)
gp_night = lonarr(3237)
gp_im0 = lonarr(3237)
gp_im1 = lonarr(3237)
;
openr, lu_in, file_in, /GET_LUN
line = ''
readf, lu_in, line
readf, lu_in, line	; skip first two lines
;
ii = 0L
WHILE (~EOF(lu_in)) do begin
	;
	line = ''
	readf, lu_in, line
	;
	parts = strsplit(line,' ',/extract)
	;
	reads, parts[0], gpn, format='(2x,i4)'
	;
	if(N_ELEMENTS(parts) gt 6) then begin
		night = 0L
		night1 = 0L
		night2 = 0L
		reads, parts[6], night1,night2, format='(i4,i4)'
		night = night1
		night *= 10000L
		night += LONG(night2)
		reads, parts[7], first, format='(i4)'
		reads, parts[8], last, format='(i4)'
	endif else begin
		night = 0L
		first = 0
		last = 0
	endelse
	;
	gp_num[ii] = gpn
	gp_night[ii] = night
	gp_im0[ii] = first
	gp_im1[ii] = last
	ii++
    ;
ENDWHILE
;
free_lun, lu_in
;
print, 'read in ',ii,' lines
;
save, gp_num, gp_night, gp_im0, gp_im1, filename=dialog_pickfile(title='Save file for DR3 summary')
;
end
